Bug 14473 - Configure debugger workspace using xml description
Configure debugger workspace using xml description
Status: VERIFIED FIXED
Product: debugger
Classification: Unclassified
Component: Code
3.x
PC All
: P1 (vote)
: 3.x
Assigned To: issues@debugger
issues@debugger
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-16 11:02 UTC by David Simonek
Modified: 2001-09-24 10:00 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Simonek 2001-08-16 11:02:04 UTC
With new approach of loading and initializing workspaces, there's urgent need
for your module to configure its workspace using xml layers. In current state,
Debugger workspace will not show during first start, because its creation was
hardcoded in core classes.

Things that will help you to get this feature done:
1) We prepared migration guide - please read through it
http://core.netbeans.org/windowsystem/MigrationGuide.html
2) Check out org/netbeans/core/resources directory from branch
workspace_layers_august01, you'll have example of how to specify winsys xml layer
3) Warning - ordering doesn't work well yet, expect minor! changes in xml
format, optional element and attribute
"order-weight" will dissapear and will be replaced by regular order
specification in layers
Comment 1 David Simonek 2001-08-16 11:11:58 UTC
4) refer to following issue to see how your workspace should look like
in MDI from UI group perspective
http://www.netbeans.org/issues/show_bug.cgi?id=12003 
Comment 2 Jan Jancura 2001-09-14 14:37:55 UTC
fixed in main trunk
Comment 3 Karel Serin 2001-09-24 10:00:03 UTC
Verified in NetBeans build 20010914 and 20010924.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo